## $Id: test_datacenter.py 16717 2021-11-24 06:44:33Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
from waeup.kofa.datacenter import DataCenter
from waeup.kofa.testing import FunctionalTestCase
from kofacustom.skeleton.testing import FunctionalLayer


class DatacenterTests(FunctionalTestCase):

    layer = FunctionalLayer

    def test_storage_path(self):
        mydatacenter = DataCenter()
        storagepath = mydatacenter.storage
        self.assertTrue('/parts/test/datacenter' in storagepath)